BuildRequires: chrpath
Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++ imake libXt-devel pkgconfig(libxml-2.0) xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global po_package glade-2.0

Summary:        User Interface Designer for GTK+ 2, legacy version
Name:           glade2
Version:        2.12.2
Release:        alt3_37
License:        GPLv2+ and GFDL
URL:            http://glade.gnome.org/
Source:         http://download.gnome.org/sources/glade/2.12/glade-%{version}.tar.bz2
# Fedora specific patches
Patch0:         gnome-i18n.patch
Patch1:         gtk-includes.patch
# https://fedoraproject.org/wiki/Format-Security-FAQ
Patch2:         glade-2.12.2-format-security.patch

BuildRequires:  gcc
BuildRequires: glib2-devel libgio libgio-devel 
BuildRequires: libpango-devel libpango-gir-devel
BuildRequires: gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires: libgnomeui-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: gnome-vfs-devel 
BuildRequires: libgnomecanvas-devel 
BuildRequires: desktop-file-utils 
BuildRequires: scrollkeeper
BuildRequires: gettext gettext-tools
BuildRequires: perl(XML/Parser.pm)
Source44: import.info

%description
The glade2 package contains a legacy version of Glade for GTK+ 2.x. Do not use
it for new projects, use glade (for GTK+ 3.x) or glade3 (for GTK+ 2.x) instead.

Glade is a free user interface builder for GTK+ and the GNOME GUI
desktop. Glade can produce C source code. Support for C++, Ada95,
Python, and Perl is also available, via external tools which process
the XML interface description files output by GLADE.

%prep
%setup -q -n glade-%{version}
%patch0 -p1 -b .gnome-i18n
%patch1 -p1 -b .gtk-includes
%patch2 -p1 -b .format-security

# Fix the warnings from desktop-file-install 
sed -i 's|Icon=glade-2.png|Icon=glade-2|g' glade-2.desktop.in
sed -i 's|MimeType=application/x-glade|MimeType=application/x-glade;|g' glade-2.desktop.in

# It's sr@latin, not sr@Latn
mv -f po/sr@Latn.po po/sr@latin.po
sed -i 's|sr@Latn|sr@latin|g' po/LINGUAS

%build
%configure --disable-gnome-db 
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %po_package --all-name --with-gnome
# kill rpath
for i in `find %buildroot{%_bindir,%_libdir,/usr/libexec,/usr/lib,/usr/sbin,/usr/games} -type f -perm -111 ! -name '*.la' `; do
	chrpath -d $i ||:
done

%files -f %{po_package}.lang
%doc AUTHORS COPYING README NEWS TODO
%{_datadir}/glade-2
%{_datadir}/applications/gnome-glade-2.desktop
%{_datadir}/pixmaps/*
%{_bindir}/*

%changelog
* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.12.2-alt3_37
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.12.2-alt3_36
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.12.2-alt3_35
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.12.2-alt3_34
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.12.2-alt3_33
- update to new release by fcimport

* Fri Jan 15 2021 Igor Vlasenko <viy@altlinux.ru> 2.12.2-alt2_33
- fixed build

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.12.2-alt1_33
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.12.2-alt1_31
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.12.2-alt1_30
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.12.2-alt1_29
- update to new release by fcimport

* Sun Sep 16 2018 Igor Vlasenko <viy@altlinux.ru> 2.12.2-alt1_28
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 2.12.2-alt1_14
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 2.12.2-alt1_13
- initial fc import

